package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.AttOrgBaseMapper;
import com.goldenwater.slaj.hidd.domain.AttOrgBase;
import com.goldenwater.slaj.hidd.service.IAttOrgBaseService;

/**
 * 机构基础信息 服务层实现
 */
@Service
public class AttOrgBaseServiceImpl implements IAttOrgBaseService {

    @Autowired
    private AttOrgBaseMapper attOrgBaseMapper;

    /**
     * 查询机构基础信息信息
     * @param guid 查询条件
     * @return 机构基础信息信息
     */
    @Override
    public AttOrgBase selectAttOrgBaseByGuid(String guid) {
        return attOrgBaseMapper.selectAttOrgBaseByGuid(guid);
    }

    /**
     * 查询机构基础信息列表
     * @param attOrgBase 机构基础信息查询条件
     * @return 机构基础信息集合
     */
    @Override
    public List<AttOrgBase> selectAttOrgBaseList(AttOrgBase attOrgBase) {
        return attOrgBaseMapper.selectAttOrgBaseList(attOrgBase);
    }

    /**
     * 新增机构基础信息
     * @param attOrgBase 机构基础信息信息
     * @return 影响行数
     */
    @Override
    public int insertAttOrgBase(AttOrgBase attOrgBase) {
        return attOrgBaseMapper.insertAttOrgBase(attOrgBase);
    }

    /**
     * 修改机构基础信息
     * @param attOrgBase 机构基础信息信息
     * @return 影响行数
     */
    @Override
    public int updateAttOrgBase(AttOrgBase attOrgBase) {
        return attOrgBaseMapper.updateAttOrgBase(attOrgBase);
    }

    /**
     * 删除机构基础信息
     * @param guid 机构基础信息主键
     * @return 影响行数
     */
    @Override
    public int deleteAttOrgBaseByGuid(String guid) {
        return attOrgBaseMapper.deleteAttOrgBaseByGuid(guid);
    }

    /**
     * 批量删除机构基础信息
     * @param guids 机构基础信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteAttOrgBaseByGuids(String[] guids) {
        return attOrgBaseMapper.deleteAttOrgBaseByGuids(guids);
    }
}
